#include <vector>
#include "sql.hpp"

class Vapp
{
public:
  void init();
  void update();
  void draw();
  void deinit();

private:
  bool showDemoWindow = false;
  bool showSelection = false;
  sqlite3 *db;
  sqlite3_stmt *get_gen_num;
  std::vector<int64_t> ids;
  int64_t gens = -1;
  int selected_id = -1;
  bool update_gen = false;
  int selected_gen = -1;
  bool enableAll = true;
};